verify-cvs2svn(1)

NAME
verify-cvs2svn - verify the output of cvs2svn

SYNOPSIS

verify-cvs2svn [--branch=branch] [--diff] [--tag=tag] [--tempdir=path] [--trunk] cvs-repos-path svn-repos-path

DESCRIPTION
Verifies that a repository converted by cvs2svn is correct. At the moment it verifies the contents of the HEAD revision for trunk and all tags and branches.

cvs-repos-path is a project's toplevel directory inside your CVS repository.
svn-repos-path is the SVN toplevel directory where you converted your repository with the cvs2svn script.

--branch=branch
    Verify contents of the branch branch only.

--diff
    Run diff on differing files

--tag=tag
    Verify contents of the tag only.

--tempdir=path
    A path to store temporary files.

--trunk
    Verify contents of trunk only.

LIMITATIONS
It needs more comments and error checking, but it works if you are careful with it. :-)

SEE ALSO
cvs(1), svn(1), svnadmin(1), cvs2svn(1)

AUTHOR
This manpage was written for the Debian GNU/Linux system by Laszlo 'GCS' Boszormenyi <gcs@lsc.hu> (but may be used by others).